// Contains the event handlers that may be sent by the COM objects.

#pragma once

// CAxisMediaParserEvents command target

class CLiveViewDlg;

class CAxisMediaParserEvents : public CCmdTarget
{
	DECLARE_DYNAMIC(CAxisMediaParserEvents)

public:
	CAxisMediaParserEvents();
	virtual ~CAxisMediaParserEvents();

	virtual void OnFinalRelease();

	void SetLiveViewDlg(CLiveViewDlg* pLiveViewDlg) { m_pLiveViewDlg = pLiveViewDlg; }

protected:
	DECLARE_MESSAGE_MAP()
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()

	CLiveViewDlg* m_pLiveViewDlg;

	void OnError(long ErrorCode);
	void OnTriggerData(LONG lCookieID, UINT64 dw64StartTime, DWORD dwUserTime, SHORT UserTimeFract, DWORD dwUnitTime, SHORT UnitTimeFract, BOOL bUnitTimeInvalid, LPCTSTR lpszTriggerData);
	void OnVideoSample(LONG lCookieID, LONG lSampleType, LONG lSampleFlags, UINT64 dw64StartTime, UINT64 dw64StopTime, VARIANT &SampleArray);
	void OnAudioSample(LONG lCookieID, LONG lSampleType, LONG lSampleFlags, UINT64 dw64StartTime, UINT64 dw64StopTime, VARIANT &SampleArray);
};
